Bug 1260372 - Win10-64 guest memory is not increased when attach "-object memory-backend-ram" and -device pc-dimm"
Win10-64 guest memory is not increased when attach "-object memory-backend-ra...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Windows
medium Severity medium
: rc
: ---
Assigned To: Hai Huang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 05:30 EDT by huiqingding
Modified: 2016-03-28 05:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 08:31:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description huiqingding 2015-09-06 05:30:55 EDT
Description of problem:
Boot win10-64 guest with "-object memory-backend-ram,id=mem0,size=1G -device pc-dimm", the guest memory is not increased.

Version-Release number of selected component (if applicable):
kernel-3.10.0-313.el7.x86_64
qemu-kvm-rhev-2.3.0-22.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. boot guest
# /usr/libexec/qemu-kvm \
-M pc-i440fx-rhel7.2.0 \
-cpu SandyBridge \
-enable-kvm \
-m 1G,slots=256,maxmem=5G \
-object memory-backend-ram,id=mem0,size=1G -device pc-dimm,id=dimm0,memdev=mem0,slot=0 \
-smp 4 \
-name rhel7.2 \
-rtc base=localtime,clock=host,driftfix=slew \
-uuid 6afa5f93-2d4f-420f-81c6-e5fdddbd1c83 \
-vga qxl \
-spice disable-ticketing,port=5931 \
-monitor stdio \
-object iothread,id=iothread0 \
-drive file=gluster://10.66.144.35/vol1/win10-64.raw,if=none,id=drive-data-disk1,format=raw,cache=none,aio=native,werror=stop,rerror=stop \
-device virtio-blk-pci,drive=drive-data-disk1,id=data-disk1,config-wce=on,iothread=iothread0,bus=pci.0,addr=0x7,bootindex=1 \
-qmp tcp:0:4444,server,nowait \
-boot menu=on \
-netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup \
-device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=4e:63:28:bc:b1:25 \
-monitor unix:/tmp/monitor2,server,nowait \

2. inside guest, check the memory size
"Task Manager" -> Performance -> Memory
3. reboot the guest, and check the memory size

Actual results:
after step2 and step3, the memory is "1024G"

Expected results:
after step2 and step3, the memory should be "2048G"

Additional info:
Comment 2 huiqingding 2015-09-06 05:56:29 EDT
I add "-numa node" to the command line of comment #0, the memory can be increased to "2048G".
Comment 3 Igor Mammedov 2015-09-08 08:31:51 EDT
Windows requires SRAT ACPI table for memory hotplug to work, so you must
pass -numa option to qemu.
If I remember correctly libvirt should also pass -numa option if memory hotplug configured.
So closing as not bug, if libvirt doesn't pass -numa option with memory hotplug enabled (re)open bug against it.

Note You need to log in before you can comment on or make changes to this bug.